html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  overflow: hidden;
  background-color: #000;
}

#terminal-container {
  height: 100%;
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
}

#terminal-container.reading-mode {
  width: 76vw;
  margin-left: auto;
  margin-right: auto;
  padding: 10px 20px;
}

#terminal-container.reading-mode .xterm-viewport {
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* IE/Edge */
}

#terminal-container.reading-mode .xterm-viewport::-webkit-scrollbar {
  display: none;
  /* Chrome/Safari */
}

/* CRT Theme Effect */
body.theme-crt #terminal-container {
  /* text-shadow: 0 0 3px rgba(0, 255, 0, 0.7); */
}

body.theme-crt .scanlines {
  background: linear-gradient(rgba(18, 16, 16, 0) 50%,
      rgba(0, 0, 0, 0.25) 50%),
    linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  background-size: 100% 4px, 6px 100%;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  pointer-events: none;
  z-index: 100;
}

body.theme-light {
  background-color: #fff;
}

body.theme-light .scanlines {
  display: none;
}

body.theme-dark .scanlines,
body.theme-hacker .scanlines {
  display: none;
}